Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.monitoring.writer.explorviz
Class ExplorVizExportWriter

    java.lang.Object
      kieker.monitoring.writer.AbstractMonitoringWriter
          kieker.monitoring.writer.AbstractAsyncWriter
              kieker.monitoring.writer.explorviz.ExplorVizExportWriter

All Implemented Interfaces:
  IMonitoringRecordReceiver, IMonitoringWriter

    public class ExplorVizExportWriter

extends AbstractAsyncWriter

Since:
  1.9
Author:
  Florian Fittkau, Jan Waller

Field Summary
`static String` | `CONFIG_BUFFERSIZE`
`static String` | `CONFIG_FLUSH`
`static String` | `CONFIG_HOSTNAME`
`static String` | `CONFIG_PORT`

Fields inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`CONFIG_BEHAVIOR, CONFIG_PRIORITIZED_QUEUESIZE, CONFIG_QUEUESIZE, CONFIG_SHUTDOWNDELAY`

Constructor Summary
`ExplorVizExportWriter(Configuration configuration)`

Method Summary

Methods inherited from class kieker.monitoring.writer.AbstractAsyncWriter
`newMonitoringRecord, newMonitoringRecordNonBlocking, terminate, toString`

Methods inherited from class kieker.monitoring.writer.AbstractMonitoringWriter
`setController`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIG_HOSTNAME

    public static final String CONFIG_HOSTNAME

### CONFIG_PORT

    public static final String CONFIG_PORT

### CONFIG_BUFFERSIZE

    public static final String CONFIG_BUFFERSIZE

### CONFIG_FLUSH

    public static final String CONFIG_FLUSH

Constructor Detail

### ExplorVizExportWriter

    public ExplorVizExportWriter(Configuration configuration)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net